set(ITKVtkGlue_LOADED 1)
set(ITKVtkGlue_ENABLE_SHARED "1")
set(ITKVtkGlue_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PUBLIC_DEPENDS "ITKCommon;ITKVTK")
set(ITKVtkGlue_TRANSITIVE_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PRIVATE_DEPENDS "")
set(ITKVtkGlue_LIBRARIES "ITKVtkGlue")
set(ITKVtkGlue_INCLUDE_DIRS "${ITK_INSTALL_PREFIX}/include/ITK-4.13;@@HOMEBREW_CELLAR@@/osgeo-vtk/8.2.0_14/include/vtk-8.2;@@HOMEBREW_PREFIX@@/include;@@HOMEBREW_PREFIX@@/include/freetype2;@@HOMEBREW_PREFIX@@/opt/zlib/include;@@HOMEBREW_PREFIX@@/include/eigen3;@@HOMEBREW_PREFIX@@/opt/jpeg-turbo/include;@@HOMEBREW_PREFIX@@/opt/python/Frameworks/Python.framework/Versions/3.7/include/python3.7m")
set(ITKVtkGlue_LIBRARY_DIRS "")
set(ITKVtkGlue_RUNTIME_LIBRARY_DIRS "${ITK_INSTALL_PREFIX}/lib")
set(ITKVtkGlue_TARGETS_FILE "")
set(ITKVtkGlue_FACTORY_NAMES "")

set(VTK_DIR "@@HOMEBREW_PREFIX@@/lib/cmake/vtk-8.2")

find_package(VTK NO_MODULE REQUIRED)

if(NOT VTK_VERSION)
  set(VTK_VERSION "8.2.0")
endif()
if(NOT VTK_RENDERING_BACKEND)
  set(VTK_RENDERING_BACKEND OpenGL)
endif()
set(_target_freetypeopengl)
if(TARGET vtkRenderingFreeTypeOpenGL2)
  set(_target_freetypeopengl vtkRenderingFreeTypeOpenGL2)
endif()

if( 8.2.0 VERSION_LESS 6.0.0 )
  set(ITKVtkGlue_VTK_INCLUDE_DIRS @@HOMEBREW_CELLAR@@/osgeo-vtk/8.2.0_14/include/vtk-8.2;@@HOMEBREW_PREFIX@@/include/eigen3;@@HOMEBREW_PREFIX@@/opt/zlib/include;@@HOMEBREW_PREFIX@@/include/freetype2;@@HOMEBREW_PREFIX@@/include/double-conversion;@@HOMEBREW_PREFIX@@/include;@@HOMEBREW_PREFIX@@/opt/expat/include;@@HOMEBREW_CELLAR@@/open-mpi/4.0.2/include;@@HOMEBREW_PREFIX@@/opt/python/Frameworks/Python.framework/Versions/3.7/include/python3.7m;@@HOMEBREW_PREFIX@@/opt/jpeg-turbo/include;@@HOMEBREW_PREFIX@@/opt/hdf5/include;@@HOMEBREW_PREFIX@@/opt/szip/include;@@HOMEBREW_PREFIX@@/opt/libxml2/include/libxml2;@@HOMEBREW_CELLAR@@/libxml2/2.9.10/include/libxml2)
  set(ITKVtkGlue_VTK_LIBRARIES vtksys;vtkCommonCore;vtkCommonMath;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkCommonDataModel;vtkCommonColor;vtkCommonExecutionModel;vtkCommonComputationalGeometry;vtkFiltersCore;vtkFiltersGeneral;vtkImagingCore;vtkImagingFourier;vtkFiltersStatistics;vtkFiltersExtraction;vtkInfovisCore;vtkFiltersGeometry;vtkFiltersSources;vtkRenderingCore;@@HOMEBREW_PREFIX@@/opt/zlib/lib/libz.dylib;@@HOMEBREW_PREFIX@@/lib/libfreetype.dylib;vtkRenderingFreeType;vtkRenderingContext2D;vtkChartsCore;vtkDICOMParser;@@HOMEBREW_PREFIX@@/lib/libdouble-conversion.a;@@HOMEBREW_PREFIX@@/lib/liblz4.dylib;@@HOMEBREW_PREFIX@@/lib/liblzma.dylib;vtkIOCore;vtkIOLegacy;@@HOMEBREW_PREFIX@@/opt/expat/lib/libexpat.dylib;vtkIOXMLParser;vtkDomainsChemistry;@@HOMEBREW_PREFIX@@/lib/libGLEW.dylib;vtkRenderingOpenGL2;vtkDomainsChemistryOpenGL2;vtkFiltersModeling;vtkParallelCore;vtkFiltersParallel;vtkParallelMPI;vtkFiltersParallelMPI;vtkDomainsParallelChemistry;vtkIOXML;vtkFiltersAMR;vtkFiltersFlowPaths;vtkFiltersGeneric;vtkImagingSources;vtkFiltersHybrid;vtkFiltersHyperTree;vtkImagingGeneral;vtkFiltersImaging;vtkFiltersParallelDIY2;vtkFiltersParallelFlowPaths;vtkFiltersParallelGeometry;vtkFiltersParallelImaging;vtkFiltersParallelStatistics;verdict;vtkFiltersVerdict;vtkFiltersParallelVerdict;vtkFiltersPoints;vtkFiltersProgrammable;@@HOMEBREW_PREFIX@@/opt/python/Frameworks/Python.framework/Versions/3.7/Python;vtkPythonInterpreter;vtkWrappingTools;vtkWrappingPythonCore;vtkFiltersPython;vtkFiltersReebGraph;vtkFiltersSMP;vtkFiltersSelection;vtkFiltersTexture;vtkFiltersTopology;vtkInteractionStyle;vtkGUISupportQt;vtkGUISupportQtOpenGL;@@HOMEBREW_PREFIX@@/opt/sqlite/lib/libsqlite3.dylib;vtkIOSQL;vtkGUISupportQtSQL;vtkmetaio;@@HOMEBREW_PREFIX@@/opt/jpeg-turbo/lib/libjpeg.dylib;@@HOMEBREW_PREFIX@@/lib/libpng.dylib;@@HOMEBREW_PREFIX@@/lib/libtiff.dylib;vtkIOImage;vtkImagingHybrid;vtkInfovisLayout;vtkImagingColor;vtkRenderingAnnotation;vtkRenderingVolume;vtkInteractionWidgets;vtkViewsCore;@@HOMEBREW_PREFIX@@/lib/libproj.dylib;vtkGeovisCore;vtkIOGDAL;vtkGeovisGDAL;@@HOMEBREW_PREFIX@@/lib/libhdf5.dylib;@@HOMEBREW_PREFIX@@/lib/libsz.dylib;/usr/lib/libdl.dylib;/usr/lib/libm.dylib;@@HOMEBREW_PREFIX@@/lib/libhdf5_hl.dylib;vtkIOAMR;vtkIOAsynchronous;vtkIOCityGML;vtkIOEnSight;@@HOMEBREW_PREFIX@@/lib/libnetcdf.dylib;vtkexodusII;vtkIOExodus;vtkgl2ps;vtkRenderingGL2PSOpenGL2;vtkIOExport;vtkIOExportOpenGL2;vtklibharu;vtkIOExportPDF;@@HOMEBREW_PREFIX@@/lib/libogg.dylib;@@HOMEBREW_PREFIX@@/lib/libtheoraenc.dylib;@@HOMEBREW_PREFIX@@/lib/libtheoradec.dylib;vtkIOMovie;vtkIOVideo;vtkIOFFMPEG;@@HOMEBREW_PREFIX@@/lib/libjsoncpp.dylib;vtkIOGeoJSON;vtkIOGeometry;vtkIOImport;@@HOMEBREW_PREFIX@@/opt/libxml2/lib/libxml2.dylib;vtkIOInfovis;vtkIOLSDyna;vtkIOMINC;vtkIOMPIImage;vtkIONetCDF;vtkIOParallel;vtkIOMPIParallel;vtkpegtl;vtkIOMotionFX;vtkIOMySQL;vtkIOODBC;vtkIOPLY;vtkIOParallelExodus;vtkIOParallelLSDyna;vtkIOParallelNetCDF;vtkIOParallelXML;vtkxdmf3;vtkIOXdmf3;vtkIOParallelXdmf3;vtkIOPostgreSQL;vtkIOSegY;vtkIOTRUCHAS;vtkIOTecplotTable;VPIC;vtkIOVPIC;vtkIOVeraOut;vtkxdmf2;vtkIOXdmf2;vtkImagingMath;vtkImagingMorphological;vtkImagingStatistics;vtkImagingStencil;vtkInfovisBoostGraphAlgorithms;vtkInteractionImage;vtkPythonContext2D;vtkRenderingContextOpenGL2;vtkRenderingFreeTypeFontConfig;vtkRenderingImage;vtkRenderingLICOpenGL2;vtkRenderingLOD;vtkRenderingLabel;vtkRenderingMatplotlib;vtkRenderingParallel;vtkRenderingParallelLIC;vtkRenderingQt;vtkRenderingSceneGraph;vtkRenderingVolumeOpenGL2;vtkRenderingVolumeAMR;vtkTestingGenericBridge;vtkTestingIOSQL;vtkTestingRendering;vtkViewsContext2D;vtkViewsInfovis;vtkViewsGeovis;vtkViewsQt;vtkWrappingJava;vtkkissfft;vtkzfp)
else()
  set(_wrap_module)
  if(ITK_WRAP_PYTHON AND PYTHON_VERSION_STRING VERSION_LESS 3.0)
    set(_wrap_module vtkWrappingPythonCore)
  endif()
  vtk_module_config(ITKVtkGlue_VTK
    vtkRenderingOpenGL2
    vtkRenderingFreeType
    
    vtkInteractionStyle
    vtkIOImage
    vtkImagingSources
    vtkWrappingPythonCore
    )

  set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS ${ITKVtkGlue_VTK_DEFINITIONS})
endif()

